Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference VERSION B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.html.struts
Class BC4JActionMapping

`java.lang.Object
org.apache.struts.config.ActionConfig
org.apache.struts.action.ActionMapping
oracle.jbo.html.struts.BC4JActionMapping`

All Implemented Interfaces:
  java.io.Serializable

public class BC4JActionMapping
extends org.apache.struts.action.ActionMapping

Field Summary

Fields inherited from class org.apache.struts.config.ActionConfig
`attribute, configured, exceptions, forward, forwards, include, input, moduleConfig, multipartClass, name, parameter, path, prefix, roleNames, roles, scope, suffix, type, unknown, validate`

Constructor Summary
`BC4JActionMapping()`

Method Summary
`java.lang.String` | `getApplication()`
`java.lang.String` | `getEvent()`
`java.lang.String` | `getReleasemode()`
`java.lang.String` | `getViewobject()`
`void` | `setApplication(java.lang.String value)`
`void` | `setEvent(java.lang.String value)`
`void` | `setReleasemode(java.lang.String value)`
`void` | `setViewobject(java.lang.String value)`

Methods inherited from class org.apache.struts.action.ActionMapping
`findException, findForward, findForwards, getInputForward`

Methods inherited from class org.apache.struts.config.ActionConfig
`addExceptionConfig, addForwardConfig, findExceptionConfig, findExceptionConfigs, findForwardConfig, findForwardConfigs, freeze, getApplicationConfig, getAttribute, getForward, getInclude, getInput, getModuleConfig, getMultipartClass, getName, getParameter, getPath, getPrefix, getRoleNames, getRoles, getScope, getSuffix, getType, getUnknown, getValidate, removeExceptionConfig, removeForwardConfig, setApplicationConfig, setAttribute, setForward, setInclude, setInput, setModuleConfig, setMultipartClass, setName, setParameter, setPath, setPrefix, setRoles, setScope, setSuffix, setType, setUnknown, setValidate, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BC4JActionMapping

    public BC4JActionMapping()

Method Detail

### setEvent

    public void setEvent(java.lang.String value)

### getEvent

    public java.lang.String getEvent()

### setViewobject

    public void setViewobject(java.lang.String value)

### getViewobject

    public java.lang.String getViewobject()

### setReleasemode

    public void setReleasemode(java.lang.String value)

### getReleasemode

    public java.lang.String getReleasemode()

### setApplication

    public void setApplication(java.lang.String value)

### getApplication

    public java.lang.String getApplication()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference VERSION B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.